#ifndef CPIAPROCRWSETTING_H
#define CPIAPROCRWSETTING_H

#include <QObject>
#include <QMap>
#include <QFile>
#include <QTextStream>
#include <QRegExp>

class CpiaProcSetting : public QObject
{
private:
    QMap<QString,QString> rwsettings;
    QMap<QString,QString> rosettings;
    QString cpia_file;

    void updateSettings();
public:
    CpiaProcSetting();
    bool getBoolSetting(QString key);
    int getIntSetting(QString key);
    QString getStringSetting(QString key);
    void setFilename(QString filename) { cpia_file = filename; }

    void setIntSetting(QString key, int value);
    void setBoolSetting(QString key, bool value);
    void setBoolOnOffSetting(QString key, bool value);
    void setStringSetting(QString key, QString value);
};

#endif // CPIAPROCRWSETTING_H
